| FoxitPDFSDKforWeb v11.0.6 Archives Foxit PDF SDK for Web

Protected Member Functions | List of all members
CopyAnnotTextController Class Reference
UIExtension » controllers
Inheritance diagram for CopyAnnotTextController:

## Protected Member Functions
| visibility (annot)
Protected Member Functions inherited from AnnotOperationController
| usable (annot)
| A method for subclasses to override to take control the component usability, this method is called before parent component shown. More...
| visibility (annot)
| A method for subclasses to override to take control the component visibility, this method is called before parent component shown. More...
Protected Member Functions inherited from Controller
| mounted ()
| This method is called after the component is inserted into DOM tree, where you can add some event listeners to the component or handle any other tasks. More...
| postlink ()
| This method is called during component postlink lifecycle. More...
| prelink ()
| This method is called during component prelink lifecycle. More...

## Additional Inherited Members
Public Member Functions inherited from Controller
| constructor (component)
| destroy ()
| Destruction this controller instance after component destroyed.
| getComponentByName (name)
| handle (...args)
Public Member Functions inherited from Disposable
| addDestroyHook (...hooks)
| Add a function to destroyHooks list, which will be called during destroy. More...
| destroy ()
| ownsTo (owner)
| Establishes an ownership relationship where this instance will be destroyed when the owner is destroyed. Additionally, the owner will be automatically removed from the destroyHooks list when this instance is destroyed. More...
Static Public Member Functions inherited from Controller
static | extend (proto, statics)
| Extends from Controller class and generates a new Controller class! More...
static | getName ()
| Name of the controller class used in @controller directive. More...
Static Protected Member Functions inherited from Controller
static | services ()
Protected Attributes inherited from Controller
Component | component
| The component of this controller. More...

## Detailed Description

### Feature:

Copy the characters in the text-markup boundary to clipboard.

### Usage:

#### in template:

<contextmenu-item-copy-text @controller="annot-opr:CopyAnnotTextController"></contextmenu-item-copy-text>
<contextmenu-item @controller="annot-opr:CopyAnnotTextController"></contextmenu-item>

#### in fragment config:

new PDFUI({
fragments: [{
target: 'fv--contextmenu-item-copy-text',
config: {
callback: UIExtension.controllers.CopyAnnotTextController
}
}]
});

## Member Function Documentation

## ◆ visibility()

CopyAnnotTextController::visibility | ( |  | annot | ) |
| inline protected

Parameters

  annot | Annot - PDF.annots.Annot

Returns
  boolean - true if the annot is not an area-highlight and replace, otherwise false.

@2025 Foxit Software Incorporated. All rights reserved.